### Enumeration

# Gdk DragCancelReason

#### Declaration

    enum Gdk.DragCancelReason

#### Description [src]

Used in `GdkDrag` to the reason of a cancelled DND operation.

#### Members

`GDK_DRAG_CANCEL_NO_TARGET`

  There is no suitable drop target.

  - Value: `0`
  - Nickname: `no-target`
  - Available since: 4.0
`GDK_DRAG_CANCEL_USER_CANCELLED`

  Drag cancelled by the user.

  - Value: `1`
  - Nickname: `user-cancelled`
  - Available since: 4.0
`GDK_DRAG_CANCEL_ERROR`

  Unspecified error.

  - Value: `2`
  - Nickname: `error`
  - Available since: 4.0